# EllipsoidGeometry

#### new Cesium.EllipsoidGeometry(options)
Core/EllipsoidGeometry.js 73

A description of an ellipsoid centered at the origin.

Name | Type | Description
--- | --- | ---

`options`

Object

optional Object with the following properties:

Name | Type | Default | Description
--- | --- | --- | ---
`radii` | Cartesian3 | `Cartesian3(1.0, 1.0, 1.0)` | optional The radii of the ellipsoid in the x, y, and z directions.
`stackPartitions` | Number | `64` | optional The number of times to partition the ellipsoid into stacks.
`slicePartitions` | Number | `64` | optional The number of times to partition the ellipsoid into radial slices.
`vertexFormat` | VertexFormat | `VertexFormat.DEFAULT` | optional The vertex attributes to be computed.

##### Throws:

- DeveloperError : options.slicePartitions cannot be less than three.
- DeveloperError : options.stackPartitions cannot be less than three.

##### Example:

    var ellipsoid = new Cesium.EllipsoidGeometry({
      vertexFormat : Cesium.VertexFormat.POSITION_ONLY,
      radii : new Cesium.Cartesian3(1000000.0, 500000.0, 500000.0)
    });
    var geometry = Cesium.EllipsoidGeometry.createGeometry(ellipsoid);

##### See:

- EllipsoidGeometry#createGeometry

### Members

#### staticCesium.EllipsoidGeometry.packedLength : Number
Core/EllipsoidGeometry.js 105

The number of elements used to pack the object into an array.

### Methods

#### staticCesium.EllipsoidGeometry.createGeometry(ellipsoidGeometry) → Geometry|undefined
Core/EllipsoidGeometry.js 200

Computes the geometric representation of an ellipsoid, including its vertices, indices, and a bounding sphere.

Name | Type | Description
--- | --- | ---
`ellipsoidGeometry` | EllipsoidGeometry | A description of the ellipsoid.

##### Returns:

The computed vertices and indices.

#### staticCesium.EllipsoidGeometry.pack(value, array, startingIndex) → Array.<Number>
Core/EllipsoidGeometry.js 116

Stores the provided instance into the provided array.

Name | Type | Default | Description
--- | --- | --- | ---
`value` | EllipsoidGeometry |  | The value to pack.
`array` | Array.<Number> |  | The array to pack into.
`startingIndex` | Number | `0` | optional The index into the array at which to start packing the elements.

##### Returns:

The array that was packed into

#### staticCesium.EllipsoidGeometry.unpack(array, startingIndex, result) → EllipsoidGeometry
Core/EllipsoidGeometry.js 159

Retrieves an instance from a packed array.

Name | Type | Default | Description
--- | --- | --- | ---
`array` | Array.<Number> |  | The packed array.
`startingIndex` | Number | `0` | optional The starting index of the element to be unpacked.
`result` | EllipsoidGeometry |  | optional The object into which to store the result.

##### Returns:

The modified result parameter or a new EllipsoidGeometry instance if one was not provided.